SCSI_PROBE_LUN(9)

NAME
scsi_probe_lun - probe a single LUN using a SCSI INQUIRY

SYNOPSIS

int scsi_probe_lun(struct scsi_device * sdev, unsigned char * inq_result, int result_len, int * bflags);

ARGUMENTS

sdev
    scsi_device to probe

inq_result
    area to store the INQUIRY result

result_len
    len of inq_result

bflags
    store any bflags found here

DESCRIPTION

Probe the lun associated with req using a standard SCSI INQUIRY;

If the INQUIRY is successful, zero is returned and the INQUIRY data is in inq_result; the scsi_level and INQUIRY length are copied to the scsi_device any flags value is stored in *bflags.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT